package fi.jyu.intellij.comtest.common.util

import com.intellij.notification.NotificationGroupManager
import com.intellij.openapi.project.Project

/**
 * Generic notifier helper for the plugin.
 */
object Notifier {
    /**
     * Show error notification in the IDE.
     *
     * @param proj Project to which the error applies.
     * @param message Message to show.
     */
    fun notifyError(proj: Project, message: String) {
        NotificationGroupManager.getInstance().getNotificationGroup("ComTest")
            .createNotification(message, com.intellij.notification.NotificationType.ERROR)
            .notify(proj)
    }
}